KD SOAP API Documentation: KDSoapThreadPool Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KDSoapThreadPool Class Reference

`#include <KDSoapThreadPool.h>`

Inheritance diagram for KDSoapThreadPool:
[legend]
Collaboration diagram for KDSoapThreadPool:
[legend]

## Public Member Functions
| KDSoapThreadPool (QObject *parent=0)
| ~KDSoapThreadPool ()
void | disconnectSockets (KDSoapServer *server)
int | maxThreadCount () const
int | numConnectedSockets (const KDSoapServer *server) const
void | resetTotalConnectionCount (const KDSoapServer *server)
void | setMaxThreadCount (int maxThreadCount)
int | totalConnectionCount (const KDSoapServer *server) const
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
bool | blockSignals (bool block)
const QObjectList & | children () const const
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const const
void | deleteLater ()
void | destroyed (QObject *obj)
bool | disconnect (const char *signal, const QObject *receiver, const char *method) const const
bool | disconnect (const QObject *receiver, const char *method) const const
void | dumpObjectInfo ()
void | dumpObjectInfo () const const
void | dumpObjectTree ()
void | dumpObjectTree () const const
QList< QByteArray > | dynamicPropertyNames () const const
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
T | findChild (const QString &name, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegExp &regExp, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegularExpression &re, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QString &name, Qt::FindChildOptions options) const const
bool | inherits (const char *className) const const
void | installEventFilter (QObject *filterObj)
bool | isWidgetType () const const
bool | isWindowType () const const
void | killTimer (int id)
virtual const QMetaObject * | metaObject () const const
void | moveToThread (QThread *targetThread)
QString | objectName () const const
void | objectNameChanged (const QString &objectName)
QObject * | parent () const const
QVariant | property (const char *name) const const
| Q_CLASSINFO (Name, Value)
| Q_DISABLE_COPY (Class)
| Q_DISABLE_COPY_MOVE (Class)
| Q_DISABLE_MOVE (Class)
| Q_EMIT Q_EMIT
| Q_ENUM (...)
| Q_ENUM_NS (...)
| Q_ENUMS (...)
| Q_FLAG (...)
| Q_FLAG_NS (...)
| Q_FLAGS (...)
| Q_GADGET Q_GADGET
| Q_INTERFACES (...)
| Q_INVOKABLE Q_INVOKABLE
| Q_NAMESPACE Q_NAMESPACE
| Q_NAMESPACE_EXPORT (EXPORT_MACRO)
| Q_OBJECT Q_OBJECT
| Q_PROPERTY (...)
| Q_REVISION Q_REVISION
| Q_SET_OBJECT_NAME (Object)
| Q_SIGNAL Q_SIGNAL
| Q_SIGNALS Q_SIGNALS
| Q_SLOT Q_SLOT
| Q_SLOTS Q_SLOTS
T | qFindChild (const QObject *obj, const QString &name)
QList< T > | qFindChildren (const QObject *obj, const QRegExp &regExp)
QList< T > | qFindChildren (const QObject *obj, const QString &name)
T | qobject_cast (const QObject *object)
T | qobject_cast (QObject *object)
| QT_NO_NARROWING_CONVERSIONS_IN_CONNECT QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
void | removeEventFilter (QObject *obj)
void | setObjectName (const QString &name)
void | setParent (QObject *parent)
bool | setProperty (const char *name, const QVariant &value)
bool | signalsBlocked () const const
int | startTimer (int interval, Qt::TimerType timerType)
int | startTimer (std::chrono::milliseconds time, Qt::TimerType timerType)
QThread * | thread () const const

## Additional Inherited Members
Static Public Member Functions inherited from QObject
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *context, Functor functor, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, Functor functor)
bool | disconnect (const QMetaObject::Connection &connection)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
bool | disconnect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method)
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
Public Attributes inherited from QObject
typedef | QObjectList
Protected Member Functions inherited from QObject
virtual void | childEvent (QChildEvent *event)
virtual void | connectNotify (const QMetaMethod &signal)
virtual void | customEvent (QEvent *event)
virtual void | disconnectNotify (const QMetaMethod &signal)
bool | isSignalConnected (const QMetaMethod &signal) const const
int | receivers (const char *signal) const const
QObject * | sender () const const
int | senderSignalIndex () const const
virtual void | timerEvent (QTimerEvent *event)
Properties inherited from QObject
| objectName

## Detailed Description

Pool of threads that can be used to handle SOAP requests in a SOAP server. The thread pool is configured with a maximum number of threads.

In case the server application provides different services on different ports, it can decide to use the same thread pool for both services, in order to always respect the maximum number of threads globally.

Definition at line 26 of file KDSoapThreadPool.h.

## Constructor & Destructor Documentation

## ◆ KDSoapThreadPool()

KDSoapThreadPool::KDSoapThreadPool | ( | QObject * | parent = `0` | ) |
| explicit

Constructs a thread pool with the given `parent`.

Definition at line 29 of file KDSoapThreadPool.cpp.

## ◆ ~KDSoapThreadPool()

KDSoapThreadPool::~KDSoapThreadPool | ( |  | ) |

Destructs the thread pool, after ensuring that all threads finish properly.

Definition at line 35 of file KDSoapThreadPool.cpp.

References QObject::qobject_cast(), QObject::thread(), and QThread::wait().

## Member Function Documentation

## ◆ disconnectSockets()

void KDSoapThreadPool::disconnectSockets | ( | KDSoapServer * | server | ) |

Disconnect all connected sockets for a given server

Definition at line 117 of file KDSoapThreadPool.cpp.

References QObject::qobject_cast(), and QObject::thread().

## ◆ maxThreadCount()

int KDSoapThreadPool::maxThreadCount | ( |  | ) | const

Returns the maximum number of threads used by the thread pool.

Definition at line 54 of file KDSoapThreadPool.cpp.

Referenced by setMaxThreadCount().

## ◆ numConnectedSockets()

int KDSoapThreadPool::numConnectedSockets | ( | const KDSoapServer * | server | ) | const

Returns the number of connected sockets for a given server

Definition at line 108 of file KDSoapThreadPool.cpp.

References QObject::qobject_cast(), and QObject::thread().

## ◆ resetTotalConnectionCount()

void KDSoapThreadPool::resetTotalConnectionCount | ( | const KDSoapServer * | server | ) |

Resets totalConnectionCount to 0.

Since
  1.2

Definition at line 136 of file KDSoapThreadPool.cpp.

References QObject::qobject_cast(), and QObject::thread().

## ◆ setMaxThreadCount()

void KDSoapThreadPool::setMaxThreadCount | ( | int | maxThreadCount | ) |

Sets the maximum number of threads used by the thread pool. Note: The thread pool will always use at least 1 thread, even if `maxThreadCount` limit is zero or negative. The default maxThreadCount is QThread::idealThreadCount().

Definition at line 49 of file KDSoapThreadPool.cpp.

References maxThreadCount().

## ◆ totalConnectionCount()

int KDSoapThreadPool::totalConnectionCount | ( | const KDSoapServer * | server | ) | const

Returns the number of sockets that have connected to the given server, in this threadpool, since the last call to resetTotalConnectionCount().

Since
  1.2

Definition at line 127 of file KDSoapThreadPool.cpp.

References QObject::qobject_cast(), and QObject::thread().

The documentation for this class was generated from the following files:

- KDSoapThreadPool.h
- KDSoapThreadPool.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8